Page MenuHomePhabricator

Please upload a large file to Wikimedia Commons
Closed, ResolvedPublic

Description

Please upload to Wikimedia Commons:

File:
https://drive.google.com/file/d/1W8Yw5F_cYgBpvmUO3DhEGQhgMkiIBtNG
Bergensbanen_NRK.webm (md5sum 0c3709d66141915bd65072737922c91d)

Info:
Bergensbanen_NRK.txt https://drive.google.com/open?id=179q3FffliLoG3x3OmsIS6FCaB6lfyC5r

Event Timeline

Meisam created this task.Aug 17 2018, 6:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2018, 6:35 PM

The file has more than 4 GB (it has 10 GB), so it is not uploadable. I'm trying to reconvert it to make it smaller to make it uploadable. I will rehost the file (files on Google Drive cannot be downloaded directly) after reconvertion. Martin

Seems like I have misunderstood what “this” refers to in “system administrators have ways to circumvent this limit…” in here!
Thanks god I did not do the lossless VP9 conversion!

@Urbanecm So the assertion in https://commons.wikimedia.org/wiki/Help:Server-side_upload "However, system administrators have ways to circumvent this limit, and you may ask for their help if needed. " is not true ? Can you update this help page ? Thanks :)

On this help page, "this limit" reffers to 100 MiB limit, not to 4 GiB limit :-).

@Framawiki IMO, that page must be rewritten to unambiguously reflect the current limitations i.e. 4GB max file size even for the sys admins, no direct Google drive loading, etc.

Thank you for updating it @Meisam. I'm not sure if we should include the Google Drive thing as well. The only problem is that you need to download the file to your computer, upload it again to the server and server-side upload it. With a direct URL (when you visit it, it shows ONLY the file or prompt you for downloading), you can download it directly from the server and you do not need to download the file to your computer firstly. So if it's going to be included, I'd prefer something like "If possible, ..."

@Urbanecm The reason I insist on rewriting that page is: it must be clear that the server-side upload currently is not offering any advantage in the file-size over the “Upload Wizard”.
BTW, I understand the problem with Google drive. But, Wikitech still have the page explaining its possibility while it has been removed from the Commons. These contradictions are confusing! Having a section for “hosting recommendations” can help with these issues.

Urbanecm changed the task status from Open to Stalled.EditedAug 19 2018, 1:22 PM

I've updated Wikitech. It was turned off by Google in 2015. I'd like to suggest something, but ATM I don't know about any well known service. I use my own server for (re)hosting such files, which is not a possibility for most users.

Regarding this case: I'm still trying to make the file smaller with small quality loss. Marking this stalled in the meanwhile.

Urbanecm triaged this task as Medium priority.Aug 27 2018, 7:41 PM

@Urbanecm any luck in transcoding or should I do it myself?

@Meisam It is not possible to do that without noticeable quality degradation. I suggest you to simply split the file into parts. Not ideal, but we cannot do anything more in short term.

Meisam closed this task as Resolved.Sep 30 2018, 2:53 PM
Meisam claimed this task.

I did split the file into 3 parts and uploaded them separately :
https://commons.wikimedia.org/wiki/File:Bergensbanen_NRK_(part_1).webm
https://commons.wikimedia.org/wiki/File:Bergensbanen_NRK_(part_2).webm
https://commons.wikimedia.org/wiki/File:Bergensbanen_NRK_(part_3).webm
The segmentation is done in a way that makes it possible to merge them by a simple ffmpeg copy in future.